Phar
Phar::addFile
Phar
PHP Manual

# Phar::addEmptyDir

(No version information available, might be only in CVS)

Phar::addEmptyDir — Add an empty directory to the phar archive

### Description

bool Phar::addEmptyDir ( string `$dirname` )

> Note: This method requires the php.ini setting phar.readonly to be set to 0 in order to work for Phar objects. Otherwise, a PharException will be thrown.

With this method, an empty directory is created with path dirname. This method is similar to ZipArchive::addEmptyDir().

### Parameters

`dirname`

  The name of the empty directory to create in the phar archive

### Return Values

no return value, exception is thrown on failure.

### Examples

Example #1 A Phar::addEmptyDir() example

`<?php
try {
$a = new Phar('/path/to/phar.phar');
$a->addEmptyDir('/full/path/to/file');
// demonstrates how this file is stored
$b = $a['full/path/to/file']->isDir();
} catch (Exception $e) {
// handle errors here
}
?>`

### See Also

- PharData::addEmptyDir()
- Phar::addFile()
- Phar::addFromString()

Phar
Phar::addFile
Phar
PHP Manual